Package org.wso2.carbon.mediation.initializer.multitenancy

## Class StratosEntryFactory

- java.lang.Object
- - org.wso2.carbon.mediation.initializer.multitenancy.StratosEntryFactory

- All Implemented Interfaces:
    `org.apache.synapse.config.xml.IEntryFactory`, `org.apache.synapse.config.XMLToObjectMapper`

      public class StratosEntryFactory
      extends Object
      implements org.apache.synapse.config.xml.IEntryFactory, org.apache.synapse.config.XMLToObjectMapper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StratosEntryFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.synapse.config.Entry` | `createEntry​(org.apache.axiom.om.OMElement elem)` |
    `Object` | `getObjectFromOMNode​(org.apache.axiom.om.OMNode om, Properties properties)` |
    `Object` | `getObjectFromOMNode​(org.apache.axiom.om.OMNode om, Properties properties, String artifactIdentifier)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StratosEntryFactory

          public StratosEntryFactory()

  - ### Method Detail

    - #### createEntry

          public org.apache.synapse.config.Entry createEntry​(org.apache.axiom.om.OMElement elem)

      Specified by:
        `createEntry` in interface `org.apache.synapse.config.xml.IEntryFactory`

    - #### getObjectFromOMNode

          public Object getObjectFromOMNode​(org.apache.axiom.om.OMNode om,
                                            Properties properties)

      Specified by:
        `getObjectFromOMNode` in interface `org.apache.synapse.config.XMLToObjectMapper`

    - #### getObjectFromOMNode

          public Object getObjectFromOMNode​(org.apache.axiom.om.OMNode om,
                                            Properties properties,
                                            String artifactIdentifier)

      Specified by:
        `getObjectFromOMNode` in interface `org.apache.synapse.config.XMLToObjectMapper`